Bug 103023 - /etc/ups/{ups,upssched}.conf should be world-readable
/etc/ups/{ups,upssched}.conf should be world-readable
Product: Red Hat Linux
Classification: Retired
Component: nut (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Ngo Than
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-08-25 12:27 EDT by Jablonovsky Alexander
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-09-09 11:05:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jablonovsky Alexander 2003-08-25 12:27:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.0.1) Gecko/20020823

Description of problem:
The nut-client-1.2.0-6 package installs all configuration files in
/etc/ups with uid/gid 'root.root' and '-rw-------' permissions. With these
permissions the nut package components running under 'nut' uid can't read files
/etc/ups/ups.conf and /etc/ups/upssched.conf.
/etc/ups/ups.conf needs for UPS driver if the preferable configuration
method (the '-a' option) is used. Because the "old" method (full
parameter specification in the command line) is currently used by RedHat 9
installation, wrong permissions for /etc/ups/ups.conf are not essential. But it
is impossible to set up the "early shutdown" (on timer, not on "low battery"
signal) without access to /etc/ups/upssched.conf.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install nut and nut-client
2. Try to setup early shutdown as it is described in
/usr/share/doc/nut-1.2.0/docs/upssched.txt or/and configure
you UPS driver with '-a' flag and the corresponding section in /etc/ups/ups.conf
3. service ups start

Actual Results:  There are error messages in the system log, scheduled shutdown
does not work, UPS driver does not started (if '-a' flag used)

Expected Results:  Normal working

Additional info:

The discussed files don't contain private information like passwords
and IMHO making it world-readable does not break the system security.
Sorry, I don't provide exact copy of error messages (I don't want to
break my system again), but they are simple and not ambiguous.
Comment 1 Ngo Than 2003-09-09 11:05:05 EDT
it's fixed in 1.4.0-1, which will be available in rawhide. thanks for your 

Note You need to log in before you can comment on or make changes to this bug.